<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Implementing Renderers: librygel-renderer Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="librygel-renderer Reference Manual">
<link rel="up" href="index.html" title="librygel-renderer Reference Manual">
<link rel="prev" href="overview.html" title="Overview">
<link rel="next" href="implementing-renderers-full-example.html" title="Implementing Renderers: Full Example">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
<td><a accesskey="p" href="overview.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="implementing-renderers-full-example.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="chapter">
<div class="titlepage"><div><div><h1 class="title">
<a name="implementing-renderers"></a>Implementing Renderers</h1></div></div></div>
<div class="toc"><dl class="toc">
<dt><span class="section"><a href="implementing-renderers.html#implementing-renderers-overview">Implementing Renderers: Overview</a></span></dt>
<dt><span class="section"><a href="implementing-renderers-full-example.html">Implementing Renderers: Full Example</a></span></dt>
</dl></div>
<div class="section">
<div class="titlepage"><div><div><h2 class="title" style="clear: both">
<a name="implementing-renderers-overview"></a>Implementing Renderers: Overview</h2></div></div></div>
<p>
This library may be used to create in-process UPnP/DLNA Renderers, or Players, via
the <a class="link" href="RygelMediaRenderer.html" title="RygelMediaRenderer">RygelMediaRenderer</a> class. For instance,
this may be used to add UPnP/DLNA Renderer or Player capability to an existing media player application.
See the derived
<a class="ulink" href="http:/developer.gnome.org/librygel-renderer-gst/unstable/RygelPlaybinRenderer.html" target="_top">RygelPlaybinRenderer</a>
class, from librygel-renderer-gst, to see how this can be done with GStreamer.
</p>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>